Skip to main content
POST
/
api
/
v1
/
payment-methods
Crear método de pago
curl --request POST \
  --url https://api.lapyme.com.ar/api/v1/payment-methods \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "name": "<string>",
  "type": "cash",
  "bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "linked_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "fee_percentage": "<string>",
  "fee_fixed": 4503599627370495,
  "requires_reference": true,
  "visibility": "sales",
  "installment_plans": [
    {
      "code": "<string>",
      "label": "<string>"
    }
  ],
  "is_active": true
}
'
{
  "request_id": "<string>",
  "data": {
    "payment_method": {
      "object": "payment_method",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "icon": "<string>",
      "type": "cash",
      "bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "fee_percentage": "<string>",
      "fee_fixed": 0,
      "requires_reference": true,
      "visibility": "sales",
      "is_active": true,
      "is_default": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "installment_plans": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "code": "<string>",
          "label": "<string>",
          "sort_order": 0,
          "is_active": true
        }
      ]
    },
    "idempotent_replay": true
  },
  "warnings": [
    "<unknown>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.lapyme.com.ar/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Incluí tu API key en el header Authorization con el prefijo Bearer.

Headers

Idempotency-Key
string
required
Required string length: 1 - 255

Body

application/json
name
string
required
Required string length: 1 - 100
type
enum<string>
Available options:
cash,
check,
card,
bank_transfer,
other
bank_account_id
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
linked_account_id
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
fee_percentage
string | null
fee_fixed
integer | null
Required range: 0 <= x <= 9007199254740991
requires_reference
boolean
visibility
enum<string>
Available options:
sales,
purchases,
both,
system
installment_plans
object[]
is_active
boolean

Response

Método de pago creado exitosamente

request_id
string
required
data
object
required
warnings
any[]
required